<?php
/*
Plugin Name: tigaman webdesign - Change Admin Email
Description: Change the admin email without waiting for approval.
Plugin URI: https://www.tigaman.com
Version: 1.0
Author: tigaman webdesign
Author URI: https://www.tigaman.hu
*/
add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'twdcaeww_settings_link' );
function twdcaeww_settings_link( array $links ) {
    $url = get_admin_url() . "admin.php?page=twd-change-admin-email";
    $settings_link = '<a href="' . $url . '">' . __('Settings', 'akismet') . '</a>';
      $links[] = $settings_link;
    return $links;
  }
// Add the admin menu
function twd_change_admin_email_menu() {
    add_options_page('Change Admin Email', 'Change Admin Email', 'manage_options', 'twd-change-admin-email', 'twd_change_admin_email_options_page');
}
add_action('admin_menu', 'twd_change_admin_email_menu');

// Render the options page
function twd_change_admin_email_options_page() {
    ?>
    <div class="wrap">
        <h1>Change Admin Email</h1>
        <?php
        if (isset($_POST['twd_change_admin_email'])) {
            $new_email = sanitize_email($_POST['twd_change_admin_email']);
            update_option('admin_email', $new_email);
            ?>
            <div class="notice notice-success is-dismissible">
                <p>You have successfully changed the email address.</p>
            </div>
            <?php
        }
        ?>
        <form method="post" action="">
            <?php
            settings_fields('twd_change-admin-email-settings');
            do_settings_sections('twd_change-admin-email-settings');
            submit_button('Save Changes');
            ?>
        </form>
 <h1 align="center">More great freebies</h1>
<style type="text/css">
#tigamandotcom {
	width: 100%;
	height: 800px;
	overflow-x: hidden;
}
.form-table th {
	display: none;
}
.form-table input {
	width: 300px;
	padding: 10px;
}
  </style>              
<embed id="tigamandotcom" type="text/html" src="https://www.tigaman.com/tigaman-webdesign-wordpress-plugins/"></embed>          
    </div>
    <?php
}

// Register settings and fields
function twd_change_admin_email_register_settings() {
    register_setting('twd_change-admin-email-settings', 'twd_change_admin_email', 'sanitize_email');
    add_settings_section('twd_change-admin-email-section', 'New Admin Email', '', 'twd_change-admin-email-settings');
    add_settings_field('twd_change-admin-email-field', 'Email', 'twd_change_admin_email_field_callback', 'twd_change-admin-email-settings', 'twd_change-admin-email-section');
}
add_action('admin_init', 'twd_change_admin_email_register_settings');

// Render the email field
function twd_change_admin_email_field_callback() {
    $admin_email = get_option('admin_email');
    $twd_change_admin_email = get_option('twd_change_admin_email');
    ?>
    <input type="email" name="twd_change_admin_email" value="<?php echo esc_attr($twd_change_admin_email); ?>" placeholder="<?php echo esc_attr($admin_email); ?>" class="regular-text">
    <?php
}


?>